
echo off
cls
echo ###############################################
echo #    BACKING UP MSFS Configs and Settings     #
echo ###############################################
echo.
set CUR_YYYY=%date:~10,4%
set CUR_MM=%date:~4,2%
set CUR_DD=%date:~7,2%
set CUR_HH=%time:~0,2%
if %CUR_HH% lss 10 (set CUR_HH=0%time:~1,1%)

set CUR_NN=%time:~3,2%
set CUR_SS=%time:~6,2%
set CUR_MS=%time:~9,2%

set SUBFILENAME=%CUR_YYYY%%CUR_MM%%CUR_DD%-%CUR_HH%%CUR_NN%%CUR_SS%
set BU_DIR=C:\MSFS_CONFIG_BACKUPS
IF exist %BU_DIR% (echo  OK: Backup folder %BU_DIR% exits  ) ELSE (mkdir %BU_DIR% && echo Note: Backup folder %BU_DIR% Created)

xcopy  "%LOCALAPPDATA%\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\SystemAppData\wgs" "%BU_DIR%\%SUBFILENAME%\WGS"  /e/h/i/q  
echo (1) "WGS" folder has been backed up.
echo.
xcopy "%LOCALAPPDATA%\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\Packages\Official\OneStore\fs-base\worldmap\WorldmapFilters.xml" "%BU_DIR%\%SUBFILENAME%" /q
echo (2) "WorldmapFilters.xml" has been backed up
echo.
xcopy "%LOCALAPPDATA%\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt" "%BU_DIR%\%SUBFILENAME%" /q
echo (3) "UserCfg.opt"  has been backed up
echo.
echo.
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
echo @      Editing Config files for custom values       @
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
echo.    


@echo off &setlocal 

::  Reset  Word Map Opions to ON that cannot be set  in UI
set "search=<OnOff>OFF</OnOff>"
set "replace=<OnOff>ON</OnOff>"
set "textfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\Packages\Official\OneStore\fs-base\worldmap\WorldmapFilters.xml"
set "newfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\Packages\Official\OneStore\fs-base\worldmap\TempWorldmapFilters.xml"
if EXIST  %newfile%  del %newfile%
(for /f "delims=" %%i in (%textfile%) do (
    set "line=%%i"
    setlocal enabledelayedexpansion
    set "line=!line:%search%=%replace%!"
    echo(!line!
    endlocal
))>"%newfile%"
del %textfile%
copy %newfile%  %textfile%
del %newfile%


::  Reset  ColorGrading to 0
set "search=ColorGrading 1"
set "replace=ColorGrading 0"
set "textfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt"
set "newfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\TempUserCfg.opt"
if EXIST  %newfile%  del %newfile%
(for /f "delims=" %%i in (%textfile%) do (
    set "line=%%i"
    setlocal enabledelayedexpansion
    set "line=!line:%search%=%replace%!"
    echo(!line!
    endlocal
))>"%newfile%"
del %textfile%
copy %newfile%  %textfile%
del %newfile%


::  Reset  EyeAdaptation  to 0
set "search=EyeAdaptation 1"
set "replace=EyeAdaptation 0"
set "textfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt"
set "newfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\TempUserCfg.opt"
if EXIST  %newfile%  del %newfile%
(for /f "delims=" %%i in (%textfile%) do (
    set "line=%%i"
    setlocal enabledelayedexpansion
    set "line=!line:%search%=%replace%!"
    echo(!line!
    endlocal
))>"%newfile%"
del %textfile%
copy %newfile%  %textfile%
del %newfile%

::  Reset  EyeAdaptation  to 0
set "search=EyeAdaptation 1"
set "replace=EyeAdaptation 0"
set "textfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt"
set "newfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\TempUserCfg.opt"..::
if EXIST  %newfile%  del %newfile%
(for /f "delims=" %%i in (%textfile%) do (
    set "line=%%i"
    setlocal enabledelayedexpansion
    set "line=!line:%search%=%replace%!"
    echo(!line!
    endlocal
))>"%newfile%"
del %textfile%
copy %newfile%  %textfile%
del %newfile%



@echo off &setlocal 

::  Reset  Fringe  to 0
set "search=Fringe 1"
set "replace=Fringe 0"
set "textfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt"
set "newfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\TempUserCfg.opt"
if EXIST  %newfile%  del %newfile%
(for /f "delims=" %%i in (%textfile%) do (
    set "line=%%i"
    setlocal enabledelayedexpansion
    set "line=!line:%search%=%replace%!"
    echo(!line!
    endlocal
))>"%newfile%"
del %textfile%
copy %newfile%  %textfile%
del %newfile%

: set dirt = 0
set "search=Dirt 1"
set "replace=Dirt 0"
set "textfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt"
set "newfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\TempUserCfg.opt"
if EXIST  %newfile%  del %newfile%
(for /f "delims=" %%i in (%textfile%) do (
    set "line=%%i"
    setlocal enabledelayedexpansion
    set "line=!line:%search%=%replace%!"
    echo(!line!
    endlocal
))>"%newfile%"
del %textfile%
copy %newfile%  %textfile%
del %newfile%

set "search=FilmGrain 1"
set "replace=FilmGrain 0"
set "textfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt"
set "newfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\TempUserCfg.opt"
if EXIST  %newfile%  del %newfile%
(for /f "delims=" %%i in (%textfile%) do (
    set "line=%%i"
    setlocal enabledelayedexpansion
    set "line=!line:%search%=%replace%!"
    echo(!line!
    endlocal
))>"%newfile%"
del %textfile%
copy %newfile%  %textfile%
del %newfile%


set "search=Vignette 1"
set "replace=Vignette 0"
set "textfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt"
set "newfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\TempUserCfg.opt"
if EXIST  %newfile%  del %newfile%
(for /f "delims=" %%i in (%textfile%) do (
    set "line=%%i"
    setlocal enabledelayedexpansion
    set "line=!line:%search%=%replace%!"
    echo(!line!
    endlocal
))>"%newfile%"
del %textfile%
copy %newfile%  %textfile%
del %newfile%



set "search=Preset Medium"
set "replace=Preset Custom"
set "textfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt"
set "newfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\TempUserCfg.opt"
if EXIST  %newfile%  del %newfile%
(for /f "delims=" %%i in (%textfile%) do (
    set "line=%%i"
    setlocal enabledelayedexpansion
    set "line=!line:%search%=%replace%!"
    echo(!line!
    endlocal
))>"%newfile%"
del %textfile%
copy %newfile%  %textfile%
del %newfile%

@echo off &setlocal




::  Reset  EyeAdaptation  to 0  in vr


set "search=EyeAdaptation 1"
set "replace=EyeAdaptation 0"
set "textfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt"
set "newfile=C:\Users\ms\AppData\Local\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\TempUserCfg.opt"
if EXIST  %newfile%  del %newfile%
(for /f "delims=" %%i in (%textfile%) do (
    set "line=%%i"
    setlocal enabledelayedexpansion
    set "line=!line:%search%=%replace%!"
    echo(!line!
    endlocal
))>"%newfile%"
del %textfile%
copy %newfile%  %textfile%


TIMEOUT 3